org.modeshape.jdbc.metadata

## Interface JDBCColumnPositions.UDTS

- Enclosing interface:
    JDBCColumnPositions

      public static interface JDBCColumnPositions.UDTS

  This class contains constants representing column positions on ResultSet returned by getUDTS method on DatabaseMetaData. These constant values are be used to hardcode the column values used in constructin the ResultSet obj.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BASE_TYPE`
    `static int` | `CLASS_NAME`
    `static int` | `DATA_TYPE`
    `static int` | `JAVA_CLASS` Position of column in server's results containing java class name.
    `static int` | `MAX_COLUMNS` Number of columns to be read from results returned getUserDefinedTypes method.
    `static int` | `REMARKS`
    `static int` | `TABLE_NAME`
    `static int` | `TYPE_CAT`
    `static int` | `TYPE_NAME`
    `static int` | `TYPE_SCHEM`

- - ### Field Detail

    - #### MAX_COLUMNS

          static final int MAX_COLUMNS

      Number of columns to be read from results returned getUserDefinedTypes method.
      See Also:
        Constant Field Values

    - #### TABLE_NAME

          static final int TABLE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_CAT

          static final int TYPE_CAT

      See Also:
        Constant Field Values

    - #### TYPE_SCHEM

          static final int TYPE_SCHEM

      See Also:
        Constant Field Values

    - #### TYPE_NAME

          static final int TYPE_NAME

      See Also:
        Constant Field Values

    - #### CLASS_NAME

          static final int CLASS_NAME

      See Also:
        Constant Field Values

    - #### DATA_TYPE

          static final int DATA_TYPE

      See Also:
        Constant Field Values

    - #### REMARKS

          static final int REMARKS

      See Also:
        Constant Field Values

    - #### BASE_TYPE

          static final int BASE_TYPE

      See Also:
        Constant Field Values

    - #### JAVA_CLASS

          static final int JAVA_CLASS

      Position of column in server's results containing java class name.
      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.